io.vertx.rxjava.ext.web.sstore.infinispan

## Class InfinispanSessionStore

- java.lang.Object
- - io.vertx.rxjava.ext.web.sstore.SessionStore
  - - io.vertx.rxjava.ext.web.sstore.infinispan.InfinispanSessionStore

-     public class InfinispanSessionStore
      extends SessionStore

  An implementation of that relies on the Infinispan Java Client.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<InfinispanSessionStore>` | `__TYPE_ARG`
    `static int` | `DEFAULT_SESSIONID_LENGTH` Default length for a session id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanSessionStore(InfinispanSessionStore delegate)`
    `InfinispanSessionStore(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InfinispanSessionStore` | `create(Vertx vertx, JsonObject options)` Create a new `InfinispanSessionStore` for the given configuration.
    `static InfinispanSessionStore` | `create(Vertx vertx, JsonObject options, org.infinispan.client.hotrod.RemoteCacheManager remoteCacheManager)` Like `create(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject)` but with a pre-configured Infinispan Client.
    `boolean` | `equals(Object o)`
    `InfinispanSessionStore` | `getDelegate()`
    `int` | `hashCode()`
    `static InfinispanSessionStore` | `newInstance(InfinispanSessionStore arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.web.sstore.SessionStore

      `clear, clear, close, create, createSession, createSession, delete, delete, get, get, init, newInstance, put, put, retryTimeout, rxClear, rxDelete, rxGet, rxPut, rxSize, size, size`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<InfinispanSessionStore> __TYPE_ARG

    - #### DEFAULT_SESSIONID_LENGTH

          public static final int DEFAULT_SESSIONID_LENGTH

      Default length for a session id. More info: https://www.owasp.org/index.php/Session_Management_Cheat_Sheet
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InfinispanSessionStore

          public InfinispanSessionStore(InfinispanSessionStore delegate)

    - #### InfinispanSessionStore

          public InfinispanSessionStore(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SessionStore`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SessionStore`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SessionStore`

    - #### getDelegate

          public InfinispanSessionStore getDelegate()

      Overrides:
        `getDelegate` in class `SessionStore`

    - #### create

          public static InfinispanSessionStore create(Vertx vertx,
                                                      JsonObject options)

      Create a new `InfinispanSessionStore` for the given configuration.
      Parameters:
        `vertx` - vertx instance
        `options` - the configuration
      Returns:
        the new instance

    - #### create

          public static InfinispanSessionStore create(Vertx vertx,
                                                      JsonObject options,
                                                      org.infinispan.client.hotrod.RemoteCacheManager remoteCacheManager)

      Like `create(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject)` but with a pre-configured Infinispan Client.
      Parameters:
        `vertx` - vertx instance
        `options` - the configuration
        `remoteCacheManager` - pre-configured Infinispan Client
      Returns:
        the new instance

    - #### newInstance

          public static InfinispanSessionStore newInstance(InfinispanSessionStore arg)

Copyright © 2024 Eclipse. All rights reserved.